package com.red.circle.other.app.inner.service.game;

import com.red.circle.other.inner.model.cmd.game.GameLudoQryCmd;
import com.red.circle.other.inner.model.dto.game.GameLudoHistoryDTO;
import com.red.circle.other.inner.model.dto.game.GameLudoHistoryInfoDTO;
import com.red.circle.other.inner.model.dto.game.GameLudoPlayersDTO;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 飞行棋
 * @author zongpubin on 2024/1/26
 */
public interface GameLudoClientService {

  List<GameLudoHistoryInfoDTO> listGameLudoRun(GameLudoQryCmd query);

  void dismiss(Long roomId);

  List<GameLudoHistoryDTO> flowSelective(GameLudoQryCmd query);

  Map<Long, List<GameLudoPlayersDTO>> mapLudoPlayersByGameId(Set<Long> gameIds);
}
